QGIS Application - Feature request #1223
cannot remove islands from multipolygons
2008-08-20 06:16 AM - Maciej Sieczka -

Status: Closed

Priority: Low

Assignee: nobody -

Category: Digitising

Pull Request or Patch supplied: Resolution: duplicate
Easy fix?: No Copied to github as #: 11283
Description

1. Open the attached Shapefile.

2. Toggle editing.

3. Navigate to top-left corner.

4. You can't remove any of the separate polygons cause all have the same id - you can only remove all polygons (i.e. the entire geometry
in the Shapefile) or none.

QGIS should let the user modify Shapefile's geometry independent of it's data table linkage.

History

#1 - 2008-08-20 07:25 AM - Jiirgen Fischer

Looks like there's only one feature in you shape and that feature is a multipolygon. The problem is that there currently is no way to delete islands from a
multipolygon.

#2 - 2008-08-20 11:54 AM - Jiirgen Fischer
- Resolution set to duplicate
- Status changed from Open to Closed

duplicate of #1042

#3 - 2008-08-20 12:06 PM - Maciej Sieczka -

Replying to [comment:3 jef]:

duplicate of #1042

Not entirely - #1042 is about islands, this one one is about rings. Enough to re-open this ticket?

#4 - 2009-08-22 12:57 AM - Anonymous

Milestone Version 1.0.0 deleted

2024-04-30 12
dissolve.tar.bz2 53.2 KB 2008-08-20 Maciej Sieczka -
